<template>
    <!-- <base-layout page-title = "All User Assets" page-default-back-link="/space-overview"> -->
    <member-area-layout page-title = "All User Assets" page-default-back-link="/space-overview">
        <template v-slot:actions-end> 
            <ion-button router-link="/user-assets/register">
                <ion-icon slot="icon-only" :icon="add"></ion-icon>
            </ion-button> 
        </template> 
        <user-asset-overview :space_assets="space_assets"></user-asset-overview>

    <!-- </base-layout> -->
    </member-area-layout>
</template>

<script lang="js">
    import UserAssetOverview from "../components/spaceAssets/UserAssetOverview.vue";
    import {IonButton, IonIcon} from '@ionic/vue';
    import { add } from 'ionicons/icons';

    import { defineComponent } from 'vue';

    export default defineComponent({
        components: {
            UserAssetOverview,
            IonButton,
            IonIcon
        },
        data() {
            return { add };
        },
        computed: {
            // space_assets(): string {
            space_assets() {
                // tutorial @ 58:56
                return this.$store.getters.space_assets;
            }
        }
    });
</script>